/***

The MIT License

Copyright (c) 2018 Teppei Tamra (TAM)

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.

***/

#ifndef SAORIDEF_H
#define SAORIDEF_H

#define SAORI_CLIENT_NAME "Saori Mastodon Client"
#define SAORI_CLIENT_REDIRECT_URI "urn:ietf:wg:oauth:2.0:oob"
#define SAORI_CLIENT_SCOPES "read write follow"
#define SAORI_CLIENT_WEBSITE "https://dev.net-p.org/tamra/saori/wiki"
#define SAORI_QSETTINGS_ORGANIZATION "nop"
#define SAORI_QSETTINGS_DOMAIN "net-p.org"
#define SAORI_QSETTINGS_APPLICATION "Saori"

#define SAORI_SQLFILE "saoridatastore.sqlite"

#define SAORI_MASTODON_APIPATH_APPS "/api/v1/apps"
#define SAORI_MASTODON_APIPATH_AUTHORIZE "/oauth/authorize"
#define SAORI_MASTODON_APIPATH_TOKEN "/oauth/token"
#define SAORI_MASTODON_APIPATH_INSTANCE "/api/v1/instance"
#define SAORI_MASTODON_APIPATH_ACCOUNTS "/api/v1/accounts"
#define SAORI_MASTODON_APIPATH_TIMELINE "/api/v1/timelines"
#define SAORI_MASTODON_APIPATH_FAVOURITES "/api/v1/favourites"
#define SAORI_MASTODON_APIPATH_NOTIFICATION "/api/v1/notifications"
#define SAORI_MASTODON_APIPATH_POST "/api/v1/statuses"
#define SAORI_MASTODON_APIPATH_STATUS_FAVOURITE "/api/v1/statuses/%1/favourite"
#define SAORI_MASTODON_APIPATH_STATUS_UNFAVOURITE "/api/v1/statuses/%1/unfavourite"
#define SAORI_MASTODON_APIPATH_STATUS_REBLOG "/api/v1/statuses/%1/reblog"
#define SAORI_MASTODON_APIPATH_STATUS_UNREBLOG "/api/v1/statuses/%1/unreblog"

#define SAORI_SETTING_GEOMETRY "application/geometry"
#define SAORI_SETTING_GETLIMIT "application/getlimit"
#define SAORI_SETTING_GETLIMIT_DEFAULT 10
#define SAORI_SETTING_NSFWBLUR "application/nsfwblur"
#define SAORI_SETTING_NSFWBLUR_DEFAULT true
#define SAORI_SETTING_RELOADINT "application/reloadinterval"
#define SAORI_SETTING_RELOADINT_DEFAULT 5
#define SAORI_SETTING_SHOWENTRIES "application/showentries"
#define SAORI_SETTING_SHOWENTRIES_DEFAULT 100
#define SAORI_SETTING_CLOSEBEHIDE "application/closebehide"
#define SAORI_SETTING_CLOSEBEHIDE_DEFAULT true
#define SAORI_SETTING_VIEW "view"
#define SAORI_SETTING_VIEW_PINED "/pined"
#define SAORI_SETTING_VIEW_GEOMETRY "/geometry"
#define SAORI_SETTING_VIEW_NOTIFICATION "/notification"
#define SAORI_SETTING_VIEW_AUTORELOAD "/autoreload"

#define SAORI_ICONS_LOADING ":/icons/ionicons-md/md-hourglass.svg"
#define SAORI_ICONS_ALERT ":/icons/ionicons-md/md-alert.svg"
#define SAORI_ICONS_GLOBAL ":/icons/ionicons-md/md-globe.svg"
#define SAORI_ICONS_LOCK ":/icons/ionicons-md/md-lock.svg"
#define SAORI_ICONS_UNLOCK ":/icons/ionicons-md/md-unlock.svg"
#define SAORI_ICONS_PERSON ":/icons/ionicons-md/md-person.svg"
#define SAORI_ICONS_PERSONS ":/icons/ionicons-md/md-people.svg"
#define SAORI_ICONS_PERSONADD ":/icons/ionicons-md/md-person-add.svg"
#define SAORI_ICONS_MAIL ":/icons/ionicons-md/md-mail.svg"
#define SAORI_ICONS_RELPY ":/icons/ionicons-md/md-share-alt.svg"
#define SAORI_ICONS_STAR ":/icons/ionicons-md/md-star.svg"
#define SAORI_ICONS_SHARE ":/icons/ionicons-md/md-share.svg"
#define SAORI_ICONS_CHAT ":/icons/ionicons-md/md-chatbubbles.svg"
#define SAORI_ICONS_SEND ":/icons/ionicons-md/md-send.svg"
#define SAORI_ICONS_TRASH ":/icons/ionicons-md/md-trash.svg"
#define SAORI_ICONS_TEXT ":/icons/ionicons-md/md-text.svg"
#define SAORI_ICONS_NOTIFICATIONS ":/icons/ionicons-md/md-notifications.svg"
#define SAORI_ICONS_CHECK_UNCHECK ":/icons/ionicons-md/md-radio-button-off.svg"
#define SAORI_ICONS_CHECK_CHECKED ":/icons/ionicons-md/md-checkmark-circle-outline.svg"
#define SAORI_ICONS_CHECK_ADD ":/icons/ionicons-md/md-add-circle-outline.svg"
#define SAORI_ICONS_CHECK_REMOVE ":/icons/ionicons-md/md-remove-circle-outline.svg"
#define SAORI_ICONS_CHECK_CLOSE ":/icons/ionicons-md/md-close-circle-outline.svg"
#define SAORI_ICONS_MUTE_ON ":/icons/ionicons-md/md-volume-off.svg"
#define SAORI_ICONS_MUTE_OFF ":/icons/ionicons-md/md-volume-high.svg"
#define SAORI_ICONS_BOOST ":/icons/ionicons-md/md-repeat.svg"
#define SAORI_ICONS_BOOSTED ":/icons/ionicons-md/md-trending-up.svg"
#define SAORI_ICONS_FAVOURITE ":/icons/ionicons-md/md-star-outline.svg"
#define SAORI_ICONS_FAVOURITED ":/icons/ionicons-md/md-star.svg"



#endif // SAORIDEF_H
